Upgrading on Linux systems

Before you begin
  • Carefully review the minimum OS and database requirements for BigFix Server.
  • Ensure that the current version is at 9.5.10 or later.
Upgrade the BigFix components to V10.0 strictly in the following order:
  1. The BigFix servers and consoles. These components must match their versions and must be upgraded at the same time (consoles with a version earlier than or later than the server version are not allowed to connect to the server and database).
  2. The BigFix relays.
  3. The BigFix agents.
During the upgrade, the versions of the different components must respect this rule: server version >= relay version >= client version

As a best practice, follow the instructions provided in Running backup and restore to make a recovery copy of your BigFix Server environment and to ensure that, if needed, you can run the rollback.

For upgrading a DSA environment, see Manual upgrade.

Note:
  • If you are planning for an in-place upgrade starting from BigFix Server V9.5.14 or later with DB2 10.5, upgrade DB2 to version 11.5 first and then the BigFix Server to V10.0.
  • If you are planning for an in-place upgrade starting from BigFix Server V9.5.13 or earlier with DB2 10.5, upgrade the BigFix Server to the latest available patch of V9.5 first, then upgrade DB2 to 11.5, and lastly, upgrade the BigFix Server to V10.0